yuv_rgb.h File Reference
`#include "SDL_stdinc.h"`
Include dependency graph for yuv_rgb.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | YCbCrType { YCBCR_JPEG, YCBCR_601, YCBCR_709 }

## Functions

void | yuv420_rgb565_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_rgb24_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_rgba_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_bgra_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_argb_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_abgr_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_rgb565_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_rgb24_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_rgba_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_bgra_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_argb_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_abgr_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_rgb565_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_rgb24_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_rgba_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_bgra_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_argb_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_abgr_std (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_rgb565_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_rgb24_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_rgba_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_bgra_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_argb_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_abgr_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_rgb565_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_rgb24_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_rgba_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_bgra_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_argb_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_abgr_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_rgb565_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_rgb24_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_rgba_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_bgra_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_argb_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_abgr_sse (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_rgb565_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_rgb24_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_rgba_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_bgra_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_argb_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv420_abgr_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_rgb565_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_rgb24_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_rgba_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_bgra_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_argb_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuv422_abgr_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_rgb565_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_rgb24_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_rgba_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_bgra_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_argb_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | yuvnv12_abgr_sseu (uint32_t width, uint32_t height, const uint8_t *y, const uint8_t *u, const uint8_t *v, uint32_t y_stride, uint32_t uv_stride, uint8_t *rgb, uint32_t rgb_stride, YCbCrType yuv_type)
void | rgb24_yuv420_std (uint32_t width, uint32_t height, const uint8_t *rgb, uint32_t rgb_stride, uint8_t *y, uint8_t *u, uint8_t *v, uint32_t y_stride, uint32_t uv_stride, YCbCrType yuv_type)
void | rgb24_yuv420_sse (uint32_t width, uint32_t height, const uint8_t *rgb, uint32_t rgb_stride, uint8_t *y, uint8_t *u, uint8_t *v, uint32_t y_stride, uint32_t uv_stride, YCbCrType yuv_type)
void | rgb24_yuv420_sseu (uint32_t width, uint32_t height, const uint8_t *rgb, uint32_t rgb_stride, uint8_t *y, uint8_t *u, uint8_t *v, uint32_t y_stride, uint32_t uv_stride, YCbCrType yuv_type)

## Enumeration Type Documentation

## YCbCrType

enum YCbCrType

Enumerator
YCBCR_JPEG |
YCBCR_601 |
YCBCR_709 |

Definition at line 22 of file yuv_rgb.h.

{
YCBCR_JPEG,
YCBCR_601,
YCBCR_709
} YCbCrType;
YCBCR_601
Definition: yuv_rgb.h:25
YCBCR_JPEG
Definition: yuv_rgb.h:24
YCbCrType
YCbCrType
Definition: yuv_rgb.h:22
YCBCR_709
Definition: yuv_rgb.h:26

## Function Documentation

## rgb24_yuv420_sse()

void rgb24_yuv420_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | uint8_t * | y,
|  | uint8_t * | u,
|  | uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by rgb24_yuv420_std().

## rgb24_yuv420_sseu()

void rgb24_yuv420_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | uint8_t * | y,
|  | uint8_t * | u,
|  | uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by rgb24_yuv420_std().

## rgb24_yuv420_std()

void rgb24_yuv420_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | uint8_t * | y,
|  | uint8_t * | u,
|  | uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | YCbCrType | yuv_type
| ) |  |

Definition at line 186 of file yuv_rgb.c.

References clampU8(), RGB2YUVParam::matrix, PRECISION, RGB, rgb24_yuv420_sse(), rgb24_yuv420_sseu(), V, and RGB2YUVParam::y_shift.

Referenced by SDL_ConvertPixels_RGB_to_YUV().

{
const RGB2YUVParam *const param = &(RGB2YUV[yuv_type]);
uint32_t x, y;
for(y=0; y<(height-1); y+=2)
{
const uint8_t *rgb_ptr1=RGB+y*RGB_stride,
*rgb_ptr2=RGB+(y+1)*RGB_stride;
uint8_t *y_ptr1=Y+y*Y_stride,
*y_ptr2=Y+(y+1)*Y_stride,
*u_ptr=U+(y/2)*UV_stride,
*v_ptr=V+(y/2)*UV_stride;
for(x=0; x<(width-1); x+=2)
{
// compute yuv for the four pixels, u and v values are summed
int32_t y_tmp, u_tmp, v_tmp;
y_tmp = param->matrix[0][0]*rgb_ptr1[0] + param->matrix[0][1]*rgb_ptr1[1] + param->matrix[0][2]*rgb_ptr1[2];
u_tmp = param->matrix[1][0]*rgb_ptr1[0] + param->matrix[1][1]*rgb_ptr1[1] + param->matrix[1][2]*rgb_ptr1[2];
v_tmp = param->matrix[2][0]*rgb_ptr1[0] + param->matrix[2][1]*rgb_ptr1[1] + param->matrix[2][2]*rgb_ptr1[2];
y_ptr1[0]=clampU8(y_tmp+((param->y_shift)<<PRECISION));
y_tmp = param->matrix[0][0]*rgb_ptr1[3] + param->matrix[0][1]*rgb_ptr1[4] + param->matrix[0][2]*rgb_ptr1[5];
u_tmp += param->matrix[1][0]*rgb_ptr1[3] + param->matrix[1][1]*rgb_ptr1[4] + param->matrix[1][2]*rgb_ptr1[5];
v_tmp += param->matrix[2][0]*rgb_ptr1[3] + param->matrix[2][1]*rgb_ptr1[4] + param->matrix[2][2]*rgb_ptr1[5];
y_ptr1[1]=clampU8(y_tmp+((param->y_shift)<<PRECISION));
y_tmp = param->matrix[0][0]*rgb_ptr2[0] + param->matrix[0][1]*rgb_ptr2[1] + param->matrix[0][2]*rgb_ptr2[2];
u_tmp += param->matrix[1][0]*rgb_ptr2[0] + param->matrix[1][1]*rgb_ptr2[1] + param->matrix[1][2]*rgb_ptr2[2];
v_tmp += param->matrix[2][0]*rgb_ptr2[0] + param->matrix[2][1]*rgb_ptr2[1] + param->matrix[2][2]*rgb_ptr2[2];
y_ptr2[0]=clampU8(y_tmp+((param->y_shift)<<PRECISION));
y_tmp = param->matrix[0][0]*rgb_ptr2[3] + param->matrix[0][1]*rgb_ptr2[4] + param->matrix[0][2]*rgb_ptr2[5];
u_tmp += param->matrix[1][0]*rgb_ptr2[3] + param->matrix[1][1]*rgb_ptr2[4] + param->matrix[1][2]*rgb_ptr2[5];
v_tmp += param->matrix[2][0]*rgb_ptr2[3] + param->matrix[2][1]*rgb_ptr2[4] + param->matrix[2][2]*rgb_ptr2[5];
y_ptr2[1]=clampU8(y_tmp+((param->y_shift)<<PRECISION));
u_ptr[0] = clampU8(u_tmp/4+(128<<PRECISION));
v_ptr[0] = clampU8(v_tmp/4+(128<<PRECISION));
rgb_ptr1 += 6;
rgb_ptr2 += 6;
y_ptr1 += 2;
y_ptr2 += 2;
u_ptr += 1;
v_ptr += 1;
}
}
}
RGB
Definition: edid.h:20
RGB2YUVParam
Definition: yuv_rgb.c:13
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1574
int32_t
signed int int32_t
Definition: SDL_config_windows.h:62
RGB2YUV
static const RGB2YUVParam RGB2YUV[3]
Definition: yuv_rgb.c:51
PRECISION
#define PRECISION
Definition: yuv_rgb.c:10
width
GLint GLint GLsizei width
Definition: SDL_opengl.h:1572
y
GLint GLint GLint GLint GLint GLint y
Definition: SDL_opengl.h:1574
clampU8
static uint8_t clampU8(int32_t v)
Definition: yuv_rgb.c:75
RGB2YUVParam::y_shift
uint8_t y_shift
Definition: yuv_rgb.c:15
uint8_t
unsigned char uint8_t
Definition: SDL_config_windows.h:59
uint32_t
unsigned int uint32_t
Definition: SDL_config_windows.h:63
RGB2YUVParam::matrix
int16_t matrix[3][3]
Definition: yuv_rgb.c:16
height
GLint GLint GLsizei GLsizei height
Definition: SDL_opengl.h:1572
V
#define V(value)
Definition: yuv_rgb.c:35
param
GLfloat param
Definition: SDL_opengl_glext.h:370

## yuv420_abgr_sse()

void yuv420_abgr_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv420_abgr_sseu()

void yuv420_abgr_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv420_abgr_std()

void yuv420_abgr_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv420_argb_sse()

void yuv420_argb_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv420_argb_sseu()

void yuv420_argb_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv420_argb_std()

void yuv420_argb_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv420_bgra_sse()

void yuv420_bgra_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv420_bgra_sseu()

void yuv420_bgra_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv420_bgra_std()

void yuv420_bgra_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv420_rgb24_sse()

void yuv420_rgb24_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv420_rgb24_sseu()

void yuv420_rgb24_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv420_rgb24_std()

void yuv420_rgb24_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv420_rgb565_sse()

void yuv420_rgb565_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv420_rgb565_sseu()

void yuv420_rgb565_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv420_rgb565_std()

void yuv420_rgb565_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv420_rgba_sse()

void yuv420_rgba_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv420_rgba_sseu()

void yuv420_rgba_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv420_rgba_std()

void yuv420_rgba_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv422_abgr_sse()

void yuv422_abgr_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv422_abgr_sseu()

void yuv422_abgr_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv422_abgr_std()

void yuv422_abgr_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv422_argb_sse()

void yuv422_argb_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv422_argb_sseu()

void yuv422_argb_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv422_argb_std()

void yuv422_argb_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv422_bgra_sse()

void yuv422_bgra_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv422_bgra_sseu()

void yuv422_bgra_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv422_bgra_std()

void yuv422_bgra_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv422_rgb24_sse()

void yuv422_rgb24_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv422_rgb24_sseu()

void yuv422_rgb24_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv422_rgb24_std()

void yuv422_rgb24_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv422_rgb565_sse()

void yuv422_rgb565_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv422_rgb565_sseu()

void yuv422_rgb565_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv422_rgb565_std()

void yuv422_rgb565_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuv422_rgba_sse()

void yuv422_rgba_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuv422_rgba_sseu()

void yuv422_rgba_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuv422_rgba_std()

void yuv422_rgba_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuvnv12_abgr_sse()

void yuvnv12_abgr_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuvnv12_abgr_sseu()

void yuvnv12_abgr_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuvnv12_abgr_std()

void yuvnv12_abgr_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuvnv12_argb_sse()

void yuvnv12_argb_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuvnv12_argb_sseu()

void yuvnv12_argb_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuvnv12_argb_std()

void yuvnv12_argb_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuvnv12_bgra_sse()

void yuvnv12_bgra_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuvnv12_bgra_sseu()

void yuvnv12_bgra_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuvnv12_bgra_std()

void yuvnv12_bgra_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuvnv12_rgb24_sse()

void yuvnv12_rgb24_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuvnv12_rgb24_sseu()

void yuvnv12_rgb24_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuvnv12_rgb24_std()

void yuvnv12_rgb24_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuvnv12_rgb565_sse()

void yuvnv12_rgb565_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuvnv12_rgb565_sseu()

void yuvnv12_rgb565_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuvnv12_rgb565_std()

void yuvnv12_rgb565_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().

## yuvnv12_rgba_sse()

void yuvnv12_rgba_sse | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

## yuvnv12_rgba_sseu()

void yuvnv12_rgba_sseu | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_sse().

## yuvnv12_rgba_std()

void yuvnv12_rgba_std | ( | uint32_t | width,
|  | uint32_t | height,
|  | const uint8_t * | y,
|  | const uint8_t * | u,
|  | const uint8_t * | v,
|  | uint32_t | y_stride,
|  | uint32_t | uv_stride,
|  | uint8_t * | rgb,
|  | uint32_t | rgb_stride,
|  | YCbCrType | yuv_type
| ) |  |

Referenced by yuv_rgb_std().